KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# GeoDataLineStyle Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataColorStyle → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

specifies the style how lines are drawn

A GeoDataLineStyle specifies how the name of a GeoDataFeature is drawn in the viewer. A custom color, color mode (both inherited from GeoDataColorStyle) and width for the width of the line.

## Methods
| __init__ (self)
| __init__ (self, QColor color)
| __init__ (self, Marble.GeoDataLineStyle a0)
| pack (self, QDataStream stream)
| setWidth (self, float width)
| unpack (self, QDataStream stream)
float | width (self)

## Method Documentation

__init__ | ( |  | self ) |

Construct a new GeoDataLineStyle

__init__ | ( | self, |
|  | QColor | color
| ) |  |  |

Construct a new GeoDataLineStyle

Parameters:

  |  | color the color to use when showing the name See also: GeoDataColorStyle

__init__ | ( | self, |
|  | Marble.GeoDataLineStyle | a0
| ) |  |  |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Serialize the style to a stream.

Parameters:

  |  | stream the stream

setWidth | ( | self, |
|  | float | width
| ) |  |  |

Set the width of the line

Parameters:

  |  | width the new width

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Unserialize the style from a stream

Parameters:

  |  | stream the stream

float width | ( |  | self ) |

Return the current width of the line

Returns:
  the current width